Bug 80796 - EDITING: Pasting Draw8 drawing object from Draw into Writer creates an extra new line
Summary: EDITING: Pasting Draw8 drawing object from Draw into Writer creates an extra ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks:
 
Reported: 2014-07-02 09:42 UTC by mmaurer
Modified: 2020-02-02 03:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
DrawDocument for content copy (12.33 KB, application/vnd.oasis.opendocument.graphics)
2014-07-02 09:42 UTC, mmaurer
Details
NewLine after Paste Special Draw8 (9.66 KB, image/png)
2014-07-07 08:46 UTC, mmaurer
Details
Created ODT file from pasting supplied sample odg (14.77 KB, application/vnd.oasis.opendocument.text)
2014-07-08 00:42 UTC, Yousuf Philips (jay) (retired)
Details
ODT after Pasting with Draw8 (14.43 KB, application/vnd.oasis.opendocument.text)
2014-07-08 07:22 UTC, mmaurer
Details
Paste as Draw 8 (17.62 KB, image/png)
2014-07-08 07:23 UTC, mmaurer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mmaurer 2014-07-02 09:42:16 UTC
Created attachment 102124 [details]
DrawDocument for content copy

Copy the content of one of the Draw-document with "Select All", and then "Copy".
Create a new Writer-document and do a "Paste Special" as Draw8.

The content of the Draw-document will be inserted in the Writer-document with a new Line before.

Note: If the content of the Draw-document is big, this leads into a new page.
Comment 1 Yousuf Philips (jay) (retired) 2014-07-06 03:10:03 UTC
Hello mmaurer,

I tested the pasting in 4.2.5 on Linux Mint and didnt have a problem. Please test the latest 4.2 version and if it still occurs with you, please let us know.
Comment 2 mmaurer 2014-07-07 08:46:56 UTC
Created attachment 102355 [details]
NewLine after Paste Special Draw8
Comment 3 mmaurer 2014-07-07 08:47:09 UTC
I downloaded the latest Version of 4.2 (4.2.5) and I still have the Problem.
See the attached PNG ( NewLine after Paste Special Draw8)
Comment 4 Yousuf Philips (jay) (retired) 2014-07-08 00:42:19 UTC
Created attachment 102401 [details]
Created ODT file from pasting supplied sample odg

Tested it again on Linux Mint and as well as Windows 7 with 4.2.5 and it always pasted the same. I've include the odt file that was created with your sample odg for you to see.
Comment 5 mmaurer 2014-07-08 07:22:05 UTC
Created attachment 102412 [details]
ODT after Pasting with Draw8

Here is the ODT created with my sample ODG.

If I double click on the image in it, I can edit it in place. In your ODT I can't.
Comment 6 mmaurer 2014-07-08 07:23:16 UTC
Created attachment 102413 [details]
Paste as Draw 8

Here is the dialog that appears when I do "Paste Special" and I select Draw8. (PasteAsDraw8.png)
Comment 7 Yousuf Philips (jay) (retired) 2014-07-10 20:48:53 UTC
Sorry i made a mistaken and didnt paste as Draw8. Yes it does put it on the following page when i tried it with attachment 102124 [details] on 3.3.0 and 4.3.1. Yes the simple fix is to remove the additional line and as such, the importance has been set to lowest-trivial.
Comment 8 mmaurer 2014-07-11 08:45:17 UTC
The Importance is ok for me, as we found the work-around to remove the empty line.
We are pasting the Draw-document programmatically, and so we need to remove the empty line programmatically too, but it works.
Thank you.
Comment 9 QA Administrators 2015-07-18 17:44:23 UTC Comment hidden (obsolete)
Comment 10 mmaurer 2015-08-17 09:09:41 UTC
LibreOffice Version: 5.0.0.5
Windows Version: Widows 7 Professional Service Pack 1

Behavior is still the same
Comment 11 Robinson Tryon (qubit) 2015-12-13 11:21:20 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2017-01-03 19:50:41 UTC Comment hidden (obsolete)
Comment 13 mmaurer 2017-01-31 08:14:33 UTC
LibreOffice Version: 5.1.6.2
Windows Version: Widows 7 Professional Service Pack 1

Behavior is still the same
Comment 14 QA Administrators 2018-02-01 03:44:34 UTC Comment hidden (obsolete)
Comment 15 QA Administrators 2020-02-02 03:40:14 UTC
Dear mmaurer,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug